{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Approve and proceed Bonafide Applications
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <form method="POST" class="form-inline">{% csrf_token %}
                {% if hasData == 0 %}
                    <div class="alert alert-info" role="alert">
                            <div style="font-family: Courier New"><h4><strong> No applications to approve... Try
                                later </strong></h4></div>
                    </div>
                 {% elif len1 > 0  %}
                 <div class="x_title">
            <h2>
                    <i class="ionicons ion-android-person-add"></i>
                Approve Users(To proceed thieir Scholarships)
            </h2>
            <div class="clearfix"></div>
        </div>
                {% for inst in bonLis1 %}
                            <div class="panel">
                                <div class="clearfix">
                                    <div class="col-md-1">
                                        <br>
                                        {{ forloop.counter }}&nbsp;
                                    </div>
                                    <div class="col-md-11" style="background-color: #84cec7">
                                        <div class="panel-heading collapsed" style="background-color: #84cec7" role="tab"
                                           data-toggle="collapse" data-parent="#accordion3"
                                           aria-expanded="false" >
                                            <h4 class="panel-title">&nbsp;
                                                <ul class="nav navbar-left panel_toolbox">
                                                    <li>
                                                        <strong>{{ inst.lis.student }} for {{ inst.lis.bonafide.reason }}<br><br>{{inst.lis.comment}}<br></strong>
                                                    </li>
                                                </ul>
                                  <input name="status{{inst.lis.pk}}" value="notDecided" type="hidden" selected/>
                                <div class="btn-group" data-toggle="buttons">
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="status{{inst.lis.pk}}" value="Approve" type="radio">
                                        Approve
                                    </label>
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="status{{inst.lis.pk}}" value="Reject" type="radio"> Reject
                                    </label>
                                </div>
                                </h4>
                            

                                            
                                        
                                            <div class="profile_img">
                                                            <div id="crop-avatar">
                                                                {% load static %}
                                                                {% get_media_prefix as MEDIA_ROOT %}
                                                                {% if inst.student.gender == "M" %}
                                                                    <img src={% if inst.student.avatar %}
                                                                        {{ MEDIA_ROOT }}/profile-images/{{ inst.student.avatar }}{% else %}
                                                                        "{{ MEDIA_ROOT }}/images/male.png"
                                                                    {% endif %}
                                                                         alt="No image" height="250px"
                                                                         width="250px"><br/>
                                                                {% endif %}
                                                                {% if student.gender == "F" %}
                                                                    <img src={% if inst.student.avatar %}
                                                                        {{ MEDIA_ROOT }}/profile-images/{{ inst.student.avatar }}{% else %}
                                                                        "{{ MEDIA_ROOT }}/images/female.png"
                                                                    {% endif %}
                                                                         height="250px" width="250px"><br/>
                                                                {% endif %}
                                                            </div>
                                                    </div>
                                        
                                        </div>{% if inst.pasLis %}
                                        <details>
                                 <summary>More details</summary>
                                 
                                 
                                 <table class="table table-hover table-striped">
                                 <thead>
                                 <tr>
                                 <th>Reason for bonafide</th><th>Max. amount can be get</th><th>Date of bonafide</th><th>Year of student</th></tr></thead>
                                 <tbody>
                                 {% for in1 in inst.pasLis %}
                                 <tr><th>{{in1.bonafide.reason}}</th><th>{{in1.max_amount}}</th><th>{{in1.approved_date}}</th><th>{{in1.yrDuringAppr}}</th></tr>
                                 {% endfor %} 
                                 </tbody>
                                 </table>
                                 </details>
                                 {% endif %}
                                    </div>
                                </div>
                          
                            </div>

</div>
                    <div class="clearfix"></div>
                     
                {% endfor %}
               {% endif %}
               {% if len2 > 0 %}
                 <div class="x_title">
            <h2>
                    <i class="ionicons ion-android-person-add"></i>
                Proceed the scholarships
            </h2>
            <div class="clearfix"></div>
        </div>
               {% for inst in bonLis2 %}
                            <div class="panel">
                                <div class="clearfix">
                                    <div class="col-md-1">
                                        <br>
                                        {{ forloop.counter }}&nbsp
                                    </div>
                                    <div class="col-md-11" style="background-color: #84cec7">
                                        <div class="panel-heading collapsed" style="background-color: #84cec7" role="tab"
                                           data-toggle="collapse" data-parent="#accordion3"
                                           aria-expanded="false" >
                                            <h4 class="panel-title">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                <ul class="nav navbar-left panel_toolbox">
                                                    <li>
                                                        <strong>{{ inst.lis.student }} for {{ inst.lis.bonafide.reason }}<br><br>{{inst.lis.comment}}<br></strong>
                                                    </li>
                                                </ul>
                                           <input name="status{{inst.lis.pk}}" value="notDecided" type="hidden" selected/>
                                <div class="btn-group" data-toggle="buttons">
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="status{{inst.lis.pk}}" value="Approve" type="radio"> &nbsp;
                                        Approve &nbsp;
                                    </label>
                                    <label class="btn btn-default" data-toggle-class="btn-primary"
                                           data-toggle-passive-class="btn-default"
                                           style=" color: black; font-size: 18px;">
                                        <input name="status{{inst.lis.pk}}" value="Reject" type="radio"> Reject
                                    </label>
                                </div>
                            

                                            </h4>
                                        
                                            <div class="profile_img">
                                                            <div id="crop-avatar">
                                                                {% load static %}
                                                                {% get_media_prefix as MEDIA_ROOT %}
                                                                {% if inst.student.gender == "M" %}
                                                                    <img src={% if inst.student.avatar %}
                                                                        {{ MEDIA_ROOT }}/profile-images/{{ inst.student.avatar }}{% else %}
                                                                        "{{ MEDIA_ROOT }}/images/male.png"
                                                                    {% endif %}
                                                                         alt="No image" height="250px"
                                                                         width="250px"><br/>
                                                                {% endif %}
                                                                {% if student.gender == "F" %}
                                                                    <img src={% if inst.student.avatar %}
                                                                        {{ MEDIA_ROOT }}/profile-images/{{ inst.student.avatar }}{% else %}
                                                                        "{{ MEDIA_ROOT }}/images/female.png"
                                                                    {% endif %}
                                                                         height="250px" width="250px"><br/>
                                                                {% endif %}
                                                            </div>
                                                    </div>
                                        
                                        </div>
                                        {% if inst.pasLis %}
                                        <details>
                                 <summary>More details</summary>
                                 
                                 
                                 <table class="table table-hover table-striped">
                                 <thead>
                                 <tr>
                                 <th>Reason for bonafide</th><th>Max. amount can be get</th><th>Date of bonafide</th></tr></thead>
                                 <tbody>
                                 {% for in1 in inst.pasLis %}
                                 <tr><th>{{in1.bonafide.reason}}</th><th>{{in1.max_amount}}</th><th>{{in1.approved_date}}</th></tr>
                                 {% endfor %} 
                                 </tbody>
                                 </table>
                                 </details>
                                 {% endif %}
                                    </div>
                                </div>
                            </div>

</div>
                    <div class="clearfix"></div>
                     
                {% endfor %}
                {% endif %}


             <button type="button" class="btn1 btn-dark-green" data-toggle="modal" data-target="#myModal"
                                   />Submit</button>
             <div class="modal" id="myModal" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel1" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                            <h4 class="modal-title" id="myModalLabel1">Confirmation</h4>
                                        </div>
                                        <div class="modal-body">
                                            <h4>
                                                Are you sure to submit?
                                            </h4>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                            </button>
                                            <button type="submit" name="submit" class="btn1 btn-dark-green">Submit</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
            </form>
        
        </div>
    </div>

{% endblock %}